# Vivanta Connect for Flutter

Plugin to integrate Vivanta Connect in Flutter Projects

## How to use

1. Add the import of Vivanta Connect

```dart
import 'package:vivanta_connect_flutter/views/start_vivanta_connect.dart';
```

2. Create a route to open Vivanta Connect. For example:

```dart
 Navigator.of(context).push(
  MaterialPageRoute(
    builder: (context) => StartVivantaConnect(
      apiKey: apiKey,     // Required
      customerId: customerId,     // Required
      externalUserId: externalUserId,     // Required
      companyId: companyId,     // Optional
    ),
  ),
);
```

3. Vivanta Connect will start and automatically set the language based on the configuration of the device.

**Note:** Vivanta Connect requires a valid API Key and the associated Customer ID to fully function.
