import 'package:json_annotation/json_annotation.dart';
part 'client.g.dart';

@JsonSerializable()
class Client {
  final int? id;
  final String? externalId;
  final String? name;
  final String? returnToLink;
  final String? type;

  Client({
    this.id,
    this.externalId,
    this.name,
    this.returnToLink,
    this.type,
  });

  factory Client.fromJson(Map<String, dynamic> json) => _$ClientFromJson(json);

  Map<String, dynamic> toJson() => _$ClientToJson(this);
}
